0
dragonlost

armbian bug on the PPA

Recommended Posts

I wanted to update my tinkerboard and my nanopi m4.

I tested the following versions:


- Armbian_5.98_Nanopim4_Ubuntu_bionic_default_4.4.192_desktop
- Armbian_5.95_Tinkerboard_Ubuntu_bionic_default_4.4.190_desktop
- Armbian_5.95_Tinkerboard_Ubuntu_bionic_default_4.4.190

 

with most of the ppa that I add I have the same error:


404 Not found [IP: 2001:67c:1560:8008::15 80]
E: The repository 'http://ppa.launchpad.net/mutlaqja/libgphoto2/ubuntu focal release' does not have a Release file.
N: Updating from such a repository can't be done securely, and is therefore disabled by default
N: See apt-secure(8) manpage for repository creation and user configuration details.

 

bug for PPA :

http://ppa.launchpad.net/mutlaqja/libgphoto2

http://ppa.launchpad.net/nilarimogard/webupd8

http://ppa.launchpad.net/pch/phd2

 

not this bug for this PPA :

http://ppa.launchpad.net/mutlaqja/ppa

 

I do not understand, because all these PPA worked very well before and still works very well on a raspberry and a computer amd64 actually

Share this post


Link to post
Share on other sites

Is 3rd party software which you are trying to use on Armbian build for arm/arm64 ? If not, its normal that it fails.

Share this post


Link to post
Share on other sites
28 minutes ago, Igor said:

What is your system time when you try to install packages?

for all test my board is synchronize with internet time.

I tested the same PPA on a raspberry Pi 4 on xubuntu and everything is very well done.

 

Share this post


Link to post
Share on other sites
1 hour ago, dragonlost said:

for all test my board is synchronize with internet time.

I tested the same PPA on a raspberry Pi 4 on xubuntu and everything is very well done.

 

 

Apart from this problem no major problem. On armbian

 

Share this post


Link to post
Share on other sites

 

I tested the version: Armbian_5.90_Nanopim4_Ubuntu_bionic_default_4.4.179_desktop
If I do "sudo apt update" then "sudo apt upgrade" I pass in 4.4.192 and I have the same error.

By cons, if I freeze the kernel, and I made an update / upgrade, I can add without problem all the PPA.

 

I tried on the basic version in 4.4.192 to pass in 4.4.179 but I still have the bug with some PPA.

Share this post


Link to post
Share on other sites

I tested the version: Armbian_5.90_Nanopim4_Ubuntu_bionic_default_4.4.179_desktop
If I switch to 5.3.0-rc4 5.99.191102 no have error for PPA.

 

I just have to test version 4.4.190

 

all this test is just for nanopim4 because she most faster board

Share this post


Link to post
Share on other sites

Hello.

after a lot of tests:
For nanopi-m4:
the latest PPA bug-free version is: 4.4.190
For the tinkerboard:
The latest PPA bug-free version of is: 4.4.182

I do not understand where this bug comes from but I test 2 ppa totally different:

ppa:pch/phd2
ppa:mutlaqja/libgphoto2

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
0